Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.binding
Class WebApplicationUnmarshaller

    java.lang.Object
      org.jasig.portal.container.binding.WebApplicationUnmarshaller

    public class WebApplicationUnmarshaller

extends java.lang.Object

Parses a `web.xml` file and produces data structures.

Version:
  $Revision: 1.7 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private java.lang.String` | `contextName`
`private org.w3c.dom.Document` | `doc`
`private java.io.InputStream` | `inputStream`
`private static org.xml.sax.EntityResolver` | `webAppDtdResolver`
`private WebApplicationDefinitionImpl` | `webApplicationDefinition`

Constructor Summary
`WebApplicationUnmarshaller()`

Method Summary
`private org.apache.pluto.om.common.DescriptionSet` | `getDescriptions(org.w3c.dom.Element e)`
`private org.apache.pluto.om.common.DisplayNameSet` | `getDisplayNames(org.w3c.dom.Element e)`
`private DistributableImpl` | `getDistributable(org.w3c.dom.Element e)`
`private EjbLocalRefImpl[]` | `getEjbLocalRefs(org.w3c.dom.Element e)`
`private EjbRefImpl[]` | `getEjbRefs(org.w3c.dom.Element e)`
`private EnvEntryImpl[]` | `getEnvEntries(org.w3c.dom.Element e)`
`private ErrorPageImpl[]` | `getErrorPages(org.w3c.dom.Element e)`
`private FilterMappingImpl[]` | `getFilterMappings(org.w3c.dom.Element e)`
`private FilterImpl[]` | `getFilters(org.w3c.dom.Element e)`
`private IconImpl` | `getIcon(org.w3c.dom.Element e)`
`private ListenerImpl[]` | `getListeners(org.w3c.dom.Element e)`
`private LoginConfigImpl` | `getLoginConfig(org.w3c.dom.Element e)`
`private MimeMappingImpl[]` | `getMimeMappings(org.w3c.dom.Element e)`
`private org.apache.pluto.om.common.ParameterSet` | `getParameters(org.w3c.dom.Element e, java.lang.String paramElementName)`
`private ResourceEnvRefImpl[]` | `getResourceEnvRefs(org.w3c.dom.Element e)`
`private ResourceRefImpl[]` | `getResourceRefs(org.w3c.dom.Element e)`
`private SecurityConstraintImpl[]` | `getSecurityConstraints(org.w3c.dom.Element e)`
`private org.apache.pluto.om.common.SecurityRoleSet` | `getSecurityRoles(org.w3c.dom.Element e)`
`private org.apache.pluto.om.servlet.ServletDefinitionList` | `getServletDefinitions(org.w3c.dom.Element webAppE)`
`private ServletMappingListImpl` | `getServletMappings(org.w3c.dom.Element e)`
`private SessionConfigImpl` | `getSessionConfig(org.w3c.dom.Element e)`
`private TagLibListImpl` | `getTagLibs(org.w3c.dom.Element e)`
`org.apache.pluto.om.servlet.WebApplicationDefinition` | `getWebApplicationDefinition()` Returns a WebApplicationDefinition object that was populated with data from the `web.xml` file.
`private WelcomeFileListImpl` | `getWelcomeFiles(org.w3c.dom.Element e)`
`void` | `init(java.io.InputStream inputStream, java.lang.String contextName)` Initializer that takes an input stream to the `web.xml` file as well as the context name of the portlet application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputStream

    private java.io.InputStream inputStream

### contextName

    private java.lang.String contextName

### doc

    private org.w3c.dom.Document doc

### webApplicationDefinition

    private WebApplicationDefinitionImpl webApplicationDefinition

### webAppDtdResolver

    private static org.xml.sax.EntityResolver webAppDtdResolver

Constructor Detail

### WebApplicationUnmarshaller

    public WebApplicationUnmarshaller()

Method Detail

### init

    public void init(java.io.InputStream inputStream,
                     java.lang.String contextName)
              throws java.io.IOException,
                     org.xml.sax.SAXException

  Initializer that takes an input stream to the `web.xml` file as well as the context name of the portlet application.

  Parameters:
    `inputStream` - an input stream to the contents of the `web.xml` file
    `contextName` - the context name of the portlet application
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### getWebApplicationDefinition

    public org.apache.pluto.om.servlet.WebApplicationDefinition getWebApplicationDefinition()

  Returns a WebApplicationDefinition object that was populated with data from the `web.xml` file.

  Returns:
    the web application definition

### getServletDefinitions

    private org.apache.pluto.om.servlet.ServletDefinitionList getServletDefinitions(org.w3c.dom.Element webAppE)

### getIcon

    private IconImpl getIcon(org.w3c.dom.Element e)

### getDisplayNames

    private org.apache.pluto.om.common.DisplayNameSet getDisplayNames(org.w3c.dom.Element e)

### getDescriptions

    private org.apache.pluto.om.common.DescriptionSet getDescriptions(org.w3c.dom.Element e)

### getDistributable

    private DistributableImpl getDistributable(org.w3c.dom.Element e)

### getParameters

    private org.apache.pluto.om.common.ParameterSet getParameters(org.w3c.dom.Element e,
                                                                  java.lang.String paramElementName)

### getFilters

    private FilterImpl[] getFilters(org.w3c.dom.Element e)

### getFilterMappings

    private FilterMappingImpl[] getFilterMappings(org.w3c.dom.Element e)

### getListeners

    private ListenerImpl[] getListeners(org.w3c.dom.Element e)

### getServletMappings

    private ServletMappingListImpl getServletMappings(org.w3c.dom.Element e)

### getSessionConfig

    private SessionConfigImpl getSessionConfig(org.w3c.dom.Element e)

### getMimeMappings

    private MimeMappingImpl[] getMimeMappings(org.w3c.dom.Element e)

### getWelcomeFiles

    private WelcomeFileListImpl getWelcomeFiles(org.w3c.dom.Element e)

### getErrorPages

    private ErrorPageImpl[] getErrorPages(org.w3c.dom.Element e)

### getTagLibs

    private TagLibListImpl getTagLibs(org.w3c.dom.Element e)

### getResourceEnvRefs

    private ResourceEnvRefImpl[] getResourceEnvRefs(org.w3c.dom.Element e)

### getResourceRefs

    private ResourceRefImpl[] getResourceRefs(org.w3c.dom.Element e)

### getSecurityConstraints

    private SecurityConstraintImpl[] getSecurityConstraints(org.w3c.dom.Element e)

### getLoginConfig

    private LoginConfigImpl getLoginConfig(org.w3c.dom.Element e)

### getSecurityRoles

    private org.apache.pluto.om.common.SecurityRoleSet getSecurityRoles(org.w3c.dom.Element e)

### getEnvEntries

    private EnvEntryImpl[] getEnvEntries(org.w3c.dom.Element e)

### getEjbRefs

    private EjbRefImpl[] getEjbRefs(org.w3c.dom.Element e)

### getEjbLocalRefs

    private EjbLocalRefImpl[] getEjbLocalRefs(org.w3c.dom.Element e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD